mplist_pop(3m17n)

NAME
mplist_pop - Remove a property at the beginning of a property list.

SYNOPSIS
void* mplist_pop (MPlist * plist)

DESCRIPTION
Remove a property at the beginning of a property list.

The mplist_pop() function removes a property at the beginning of property list plist. As a result, the second key and value of the plist become the first ones.

RETURN VALUE

    If the operation was successful, this function return the value of the just popped property. Otherwise, it returns NULL.

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.